#
# spec file for package ddpt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define	name	ddpt
%define	version	0.94
%define	release	1

Summary:	Copy files (like dd) especially SCSI/storage devices
Name:		%{name}
Version:	%{version}
Release:	2.3
License:	BSD-3-Clause
Group:		Utilities/System
URL:		http://sg.danny.cz/sg/ddpt.html
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Packager:	Douglas Gilbert <dgilbert at interlog dot com>

%description
ddpt is yet another variant of the Unix dd command used to copy files.
This variant is specialized for moving data to, from or between storage
devices. If requested, SCSI commands can be sent to read or write data.
SCSI commands are sent via a pass-through interface. Also supports
two variants of SCSI copy offload: xcopy(LID1) and the disk->disk
subset of xcopy(LID4) known as ODX.

Authors:
--------
    Douglas Gilbert <dgilbert@interlog.com>

%prep
%setup -q

%build
%configure

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
        rm -rf $RPM_BUILD_ROOT
fi

make install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
        rm -rf $RPM_BUILD_ROOT
fi


%files
%defattr(-,root,root)
%doc ChangeLog README CREDITS AUTHORS COPYING
%attr(0755,root,root) %{_bindir}/*
# >> should that be %attr(0755,root,root) %{_sbindir}/*   ??
%{_mandir}/man8/*

%changelog
* Thu Apr 17 2014 hare@suse.de
- Initial package, version 0.94
